eclipse 中,tomcat 6.0 不支持 web module 3.0

Tomcat version 6.0 only supports J2EE 1.2, 1.3, 1.4, and Java EE 5 Web modules

 在 eclipse 中,使用 Tomcat 6.0 的时候,不支持 Dynamic Web Module 3.0,

这时我们可以把项目的 Dynamic Web Module 降低,使项目能发布到 Tomcat 6.0.

假设 $PATH是项目的主目录,

第一、删除下面文件里面的内容,

$PATH\.setting\org.eclipse.wst.common.project.facet.core.xml

复制代码

<?xml version="1.0" encoding="UTF-8"?><faceted-project>
  <fixed facet="wst.jsdt.web"/>
  <installed facet="java" version="1.6"/>
  <installed facet="jst.web" version="3.0"/>
  <installed facet="wst.jsdt.web" version="1.0"/></faceted-project>

复制代码

第二、重启 eclipse ,打开项目 Properties->Project Facets, 选择 Dynamic Web Module 为 2.5。

如果出现下面的错误

Failed while installing Dynamic Web Module 2.5.Build path contains duplicate entry: 'org.eclipse.jst.j2ee.internal.web.container' for project 'pizza'”

修改以下文件,删除下划线标示的内容,重启 eclipse , 重复步骤 二。

$PATH\.classpath

<?xml version="1.0" encoding="UTF-8"?><classpath>
    <classpathentry kind="src" path="src"/>
    <classpathentry exported="true" kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
    <classpathentry exported="true" kind="lib" path="WebRoot/WEB-INF/lib/Ice.jar"/>
    <classpathentry exported="true" kind="lib" path="WebRoot/WEB-INF/lib/segfs-1.0.1.jar"/>
    <classpathentry kind="lib" path="WebRoot/WEB-INF/lib/commons-fileupload-1.2.1.jar"/>
    <classpathentry kind="lib" path="WebRoot/WEB-INF/lib/commons-io-1.3.2.jar"/>
    <classpathentry kind="lib" path="WebRoot/WEB-INF/lib/kxml2.jar"/>
    <classpathentry kind="lib" path="WebRoot/WEB-INF/lib/dom4j-1.6.1.jar"/>
    <classpathentry kind="lib" path="WebRoot/WEB-INF/lib/mysql-connector-java-5.1.22-bin.jar"/>    <classpathentry kind="con" path="org.eclipse.jst.j2ee.internal.web.container"/>
    <classpathentry kind="con" path="org.eclipse.jst.j2ee.internal.module.container"/>
    <classpathentry kind="output" path="WebRoot/WEB-INF/classes"/></classpath>